-- PPRF by egraow

-- ============================================================================================================================
-- Addon functions

local function PrintHelp()
    print("=== PPRF ===")
    print("/pprf x y -- Move the raid frame container to the given offset values")
    print("/pprf reset -- Resets the raid frame container's position")
end

local function MoveFrame(...)
    local x, y = ...
    local name = UnitName("player")
    local manager = CompactRaidFrameContainer:GetParent()

    SetRaidProfileSavedPosition(GetActiveRaidProfile(), false, "TOP", y, "BOTTOM", manager.containerResizeFrame:GetBottom(), "LEFT", x);
    _G.CompactRaidFrameManager_ResizeFrame_LoadPosition(manager)

    print(manager.containerResizeFrame:GetBottom())
end

-- ============================================================================================================================
-- Chat handling

local function HandleChat(msg)
    local args = {}

    for arg in msg:gmatch("%w+") do table.insert(args, arg) end

    if args[1] ~= nil then
        if args[1] == "reset" then
            _G.CompactRaidFrameManager_ResetContainerPosition()
        elseif args[1] == "help" or args[2] == nil then
            PrintHelp()
        else
            MoveFrame(unpack(args))
        end
    else
        PrintHelp()
    end
end

SLASH_PPRF1 = "/pprf"

SlashCmdList["PPRF"] = HandleChat
